From: Anders Lindgren <[email-masked]>
Date: Sat, 23 Apr 2016 20:42:30 +0200

Hi!

I think that I already have solved this, but awaiting confirmation I
haven't committed the change. In short, when either fringe is zero, Emacs
reserves one column for a terminal-style continuation character. The
function `window-adjust-process-window-size' in window.el should use
`window-max-chars-per-line' rather than `window-body-width' to take the
continuation character into consideration.

See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22891#26 for details.

In that message I also suggested removing `term-window-width' and instead
use `window-max-chars-per-line', as both functions use a complex algorithm
to determine whether or not a column is reserved for the continuation
character. Well, since I wrote the suggestion, a bug was found and fixed in
`window-max-chars-per-line' while the bug still remains in
`term-window-width'...

    -- Anders